'use strict';

var production = process.env.NODE_ENV === 'production';
var baseManager = {
  handle: function handle(nconf, app, io) {
    this.configureCommon(nconf, app, io);

    if (!production) {
      this.configureDevelopmentEnv(nconf, app, io);
    } else {
      this.configureProductionEnv(nconf, app, io);
    }
  },
  configureCommon: function configureCommon() /*app*/{},
  configureProductionEnv: function configureProductionEnv() /*app*/{},
  configureDevelopmentEnv: function configureDevelopmentEnv() /*app*/{}
};

module.exports = baseManager;